Bug 889796 - engine: server.log is rotated but not compressed
engine: server.log is rotated but not compressed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Kiril Nesenko
movciari
integration
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-23 10:38 EST by Dafna Ron
Modified: 2014-07-10 20:09 EDT (History)
10 users (show)

See Also:
Fixed In Version: sf-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10811 None None None Never

  None (edit)
Description Dafna Ron 2012-12-23 10:38:25 EST
Description of problem:

the server.log under /var/logs/ovirt-engine/ is rotated but not compressed 

Version-Release number of selected component (if applicable):

si25.1

How reproducible:

100%

Steps to Reproduce:
1. cd /var/log/ovirt-engine
2. ls -ltr |grep server
3.
  
Actual results:

serverlog is rotated but not compressed 

Expected results:

it will save space is we compress. 

Additional info:

root@rhevm-3 ovirt-engine]# ls -l |grep server
-rw-r--r--. 1 ovirt ovirt   959262 Dec 23 10:35 jasperserver.log
-rw-r--r--. 1 ovirt ovirt  1060023 Dec  9 10:06 jasperserver.log.1
-rw-r--r--. 1 ovirt ovirt  3295730 Dec 23 10:35 server.log
-rw-r--r--. 1 ovirt ovirt 10485947 Dec 20 15:00 server.log.1
-rw-r--r--. 1 ovirt ovirt 10485848 Dec 18 11:07 server.log.10
-rw-r--r--. 1 ovirt ovirt 10485763 Dec 18 05:15 server.log.11
-rw-r--r--. 1 ovirt ovirt 10485764 Dec 17 23:23 server.log.12
-rw-r--r--. 1 ovirt ovirt 10485936 Dec 17 17:31 server.log.13
-rw-r--r--. 1 ovirt ovirt 10485902 Dec 17 11:40 server.log.14
-rw-r--r--. 1 ovirt ovirt 10485956 Dec 17 05:48 server.log.15
-rw-r--r--. 1 ovirt ovirt 10485858 Dec 16 23:55 server.log.16
-rw-r--r--. 1 ovirt ovirt 10485893 Dec 16 18:03 server.log.17
-rw-r--r--. 1 ovirt ovirt 10485767 Dec 16 12:12 server.log.18
-rw-r--r--. 1 ovirt ovirt 10485785 Dec 16 06:24 server.log.19
-rw-r--r--. 1 ovirt ovirt 10485780 Dec 20 09:20 server.log.2
-rw-r--r--. 1 ovirt ovirt 10485893 Dec 16 00:39 server.log.20
-rw-r--r--. 1 ovirt ovirt 10485813 Dec 15 18:57 server.log.21
-rw-r--r--. 1 ovirt ovirt 10485811 Dec 15 13:13 server.log.22
-rw-r--r--. 1 ovirt ovirt 10485830 Dec 15 07:23 server.log.23
-rw-r--r--. 1 ovirt ovirt 10485959 Dec 15 01:31 server.log.24
-rw-r--r--. 1 ovirt ovirt 10485780 Dec 14 19:42 server.log.25
-rw-r--r--. 1 ovirt ovirt 10485776 Dec 14 13:59 server.log.26
-rw-r--r--. 1 ovirt ovirt 10485972 Dec 14 08:16 server.log.27
-rw-r--r--. 1 ovirt ovirt 10485852 Dec 14 02:28 server.log.28
-rw-r--r--. 1 ovirt ovirt 10485812 Dec 13 20:44 server.log.29
-rw-r--r--. 1 ovirt ovirt 10485774 Dec 20 03:27 server.log.3
-rw-r--r--. 1 ovirt ovirt 10485866 Dec 13 14:58 server.log.30
-rw-r--r--. 1 ovirt ovirt 10485843 Dec 19 21:35 server.log.4
-rw-r--r--. 1 ovirt ovirt 10485897 Dec 19 16:28 server.log.5
-rw-r--r--. 1 ovirt ovirt 10485797 Dec 19 10:39 server.log.6
-rw-r--r--. 1 ovirt ovirt 10485954 Dec 19 04:45 server.log.7
-rw-r--r--. 1 ovirt ovirt 10485980 Dec 18 22:52 server.log.8
-rw-r--r--. 1 ovirt ovirt 10485762 Dec 18 17:00 server.log.9
Comment 1 Kiril Nesenko 2013-01-09 08:18:15 EST
Patch posted for review: http://gerrit.ovirt.org/#/c/10811/
Comment 3 Itamar Heim 2013-06-11 04:56:49 EDT
3.2 has been released
Comment 4 Itamar Heim 2013-06-11 04:56:49 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:56:58 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:59:20 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:28:45 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.